<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Description: Template voor de weergave van sectie Medische gegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.2">
   <title>Sectie Medische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]
Item: (Sectie_Medische_gegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]"
         id="tmp-a2c51e67-b33a-46b8-a6cd-d1653fd021cf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:section)&lt;=1">(Sectie_Medische_gegevens): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section
Item: (Sectie_Medische_gegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section"
         id="tmp-aac37cfb-e61b-42fb-9c25-da77b307ca8e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'])&lt;=1">(Sectie_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:code)&lt;=1">(Sectie_Medische_gegevens): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:title)&lt;=1">(Sectie_Medische_gegevens): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]/@nullFlavor)">(Sectie_Medische_gegevens): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]])&lt;=1">(Sectie_Medische_gegevens): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']
Item: (Sectie_Medische_gegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']"
         id="tmp-d2036701-12e0-4979-afa8-31cf04eb5301">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.2'">(Sectie_Medische_gegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.2' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Medische_gegevens): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:code
Item: (Sectie_Medische_gegevens)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:code"
         id="tmp-a1edd4e2-c29d-441a-86bc-fb9ba518f0dd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="@nullFlavor or (@code='34117-2' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Medische_gegevens): de waarde van @code/@codeSystem MOET ''34117-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:title
Item: (Sectie_Medische_gegevens)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.2
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]
Item: (Sectie_Medische_gegevens)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.2']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']]]"
         id="tmp-335ad406-fec3-4a9a-9868-78e22c141d64">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.2.html"
              test="@typeCode='DRIV'">(Sectie_Medische_gegevens): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>