<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Description: Template voor de weergave van Entry kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.1">
   <title>entry kinderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]"
         id="tmp-362bce86-eff4-40bc-befb-ba478d3c1f8f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Family_details_household_composition): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:observation)&lt;=1">(Family_details_household_composition): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation"
         id="tmp-b2c46c8e-fd10-4dca-b64e-06bff8a2fa8e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@classCode='OBS'">(Family_details_household_composition): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@moodCode='EVN'">(Family_details_household_composition): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']/@nullFlavor)">(Family_details_household_composition): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&lt;=1">(Family_details_household_composition): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Family_details_household_composition): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:code)&lt;=1">(Family_details_household_composition): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]]/@nullFlavor)">(Family_details_household_composition): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]])&lt;=1">(Family_details_household_composition): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']"
         id="tmp-a37377e2-bed4-40bf-832c-c8e82c9013da">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Family_details_household_composition): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.1'">(Family_details_household_composition): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Family_details_household_composition): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:code
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:code"
         id="tmp-dfb0ba2e-6673-4c79-aebc-5186183f4017">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Family_details_household_composition): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@nullFlavor or (@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')">(Family_details_household_composition): de waarde van @code/@codeSystem MOET ''224085006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]]
Item: (Family_details_household_composition)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']]]"
         id="tmp-e67f6301-3847-4c13-9212-79358d45c257">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.1.html"
              test="@typeCode='COMP'">(Family_details_household_composition): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>