<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Description: Template voor de weergave van vastpakken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.106">
   <title>vastpakken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]
Item: (vastpakken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]"
         id="tmp-8ba9440a-801a-44a4-a9ab-54e00d0df4d8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(vastpakken): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:observation)&lt;=1">(vastpakken): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation
Item: (vastpakken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation"
         id="tmp-000e6df2-2800-46ed-86e7-3675e862e2f5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@classCode='OBS'">(vastpakken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@moodCode='EVN'">(vastpakken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']/@nullFlavor)">(vastpakken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106'])&lt;=1">(vastpakken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(vastpakken): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:code)&lt;=1">(vastpakken): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(vastpakken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="count(hl7:value)&lt;=1">(vastpakken): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']
Item: (vastpakken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.106']"
         id="tmp-09b1ac8a-25ff-44fc-8ce2-0bd624aaee5b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(vastpakken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.106'">(vastpakken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.106' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(vastpakken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:code
Item: (vastpakken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:code"
         id="tmp-d6e11ae6-4301-47f6-980f-fe0351fb5792">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(vastpakken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@nullFlavor or (@code='307066009' and @codeSystem='2.16.840.1.113883.6.96')">(vastpakken): de waarde van @code/@codeSystem MOET ''307066009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.106
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:value
Item: (vastpakken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.106']]/hl7:observation/hl7:value"
         id="tmp-8f8541ae-65ef-4342-a5ad-fd6c3d1c155c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(vastpakken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.106.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(vastpakken): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d560'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(vastpakken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>