<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Description: Template voor de weergave van voedsel intolerantie - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.111">
   <title>voedsel intolerantie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]"
         id="tmp-5f6584fd-4058-4695-ae11-0a5ac25b0e68">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(voedsel_intolerantie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:observation)&lt;=1">(voedsel_intolerantie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation"
         id="tmp-56512288-c214-4edd-b9c1-c5a2d3b81995">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@classCode='OBS'">(voedsel_intolerantie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@moodCode='EVN'">(voedsel_intolerantie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(voedsel_intolerantie): Als er géén sprake van voedsel intolerantie is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(voedsel_intolerantie): Als er géén sprake van voedsel intolerantie is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']/@nullFlavor)">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&lt;=1">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(voedsel_intolerantie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:code)&lt;=1">(voedsel_intolerantie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="count(hl7:value)&lt;=1">(voedsel_intolerantie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']"
         id="tmp-da283e1d-4989-419b-b5a8-e9b21c5a51f6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.111'">(voedsel_intolerantie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.111' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(voedsel_intolerantie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:code
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:code"
         id="tmp-8f8ca5e3-b5bf-4791-928a-30db755d4ecf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@nullFlavor or (@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')">(voedsel_intolerantie): de waarde van @code/@codeSystem MOET ''235719002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:value
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation/hl7:value"
         id="tmp-2d1cfe86-1542-4791-a841-fd3941bdff1c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.111.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>