<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Description: Template voor de weergave van entryRelationship_Principal_Diagnosis
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.12">
   <title>medische diagnose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]
Item: (entryRelationship_Principal_Diagnosis)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]"
         id="tmp-6525b8eb-1e68-437a-b62a-8e205e99b79a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:observation is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation
Item: (entryRelationship_Principal_Diagnosis)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation"
         id="tmp-ad34a015-d6ea-4d9e-9334-101116b4c3e9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@classCode='OBS'">(entryRelationship_Principal_Diagnosis): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@moodCode='EVN'">(entryRelationship_Principal_Diagnosis): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'])&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_Principal_Diagnosis): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_Principal_Diagnosis): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']
Item: (entryRelationship_Principal_Diagnosis)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.12']"
         id="tmp-e43d6b2c-11b8-4513-b845-077c478c2cfe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.12'">(entryRelationship_Principal_Diagnosis): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.12' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_Principal_Diagnosis): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:code
Item: (entryRelationship_Principal_Diagnosis)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:code"
         id="tmp-8795a8db-b8e2-4004-80f3-5aae37ccc385">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@nullFlavor or (@code='8319008' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Principal_Diagnosis): de waarde van @code/@codeSystem MOET ''8319008' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.12
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:value
Item: (entryRelationship_Principal_Diagnosis)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.12']]/hl7:observation/hl7:value"
         id="tmp-3c6cdcf0-6c36-431e-94aa-438edce4e42d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.12.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_Principal_Diagnosis): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>