<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Description: Template voor de weergave van urine katheter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.130">
   <title>urine katheter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]"
         id="tmp-d5dc7cbb-131d-495c-bfb8-774ec545e71b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(urine_katheter): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:supply)&lt;=1">(urine_katheter): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply"
         id="tmp-dd8b83df-9f41-4754-879f-d8daf0663758">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@classCode='SPLY'">(urine_katheter): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@moodCode='EVN'">(urine_katheter): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']/@nullFlavor)">(urine_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&lt;=1">(urine_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(urine_katheter): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:code)&lt;=1">(urine_katheter): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]]/@nullFlavor)">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]])&lt;=1">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]])&lt;=1">(urine_katheter): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']"
         id="tmp-14aa9431-3477-492f-9609-1646b713b48e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.130'">(urine_katheter): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.130' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(urine_katheter): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:code
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:code"
         id="tmp-835b5995-b95b-4390-baf4-a85139c6a4bd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@nullFlavor or (@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')">(urine_katheter): de waarde van @code/@codeSystem MOET ''20568009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.131']]]
Item: (urine_katheter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]
Item: (urine_katheter)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.142']]]"
         id="tmp-8ca3825e-87f0-4e48-88e4-eabe39f2e719">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.130.html"
              test="@typeCode='REFR'">(urine_katheter): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>