<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Description: Template voor de weergave van frequentie defecatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.135">
   <title>frequentie defecatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]
Item: (frequentie_defecatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]"
         id="tmp-0b8eb419-9c2f-4125-848d-fd97be50cb6d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(frequentie_defecatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:observation)&lt;=1">(frequentie_defecatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation
Item: (frequentie_defecatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation"
         id="tmp-5c434d5d-3ff0-4b90-9966-15417639a7ab">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@classCode='OBS'">(frequentie_defecatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@moodCode='EVN'">(frequentie_defecatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135']/@nullFlavor)">(frequentie_defecatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135'])&lt;=1">(frequentie_defecatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(frequentie_defecatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:code)&lt;=1">(frequentie_defecatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_defecatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="count(hl7:value)&lt;=1">(frequentie_defecatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135']
Item: (frequentie_defecatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.135']"
         id="tmp-81271cbf-a4c4-4505-9342-a2e29ea46423">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(frequentie_defecatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.135'">(frequentie_defecatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.135' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(frequentie_defecatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:code
Item: (frequentie_defecatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:code"
         id="tmp-8a614a1f-719f-4caa-bba3-c0c651093f86">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(frequentie_defecatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@nullFlavor or (@code='162098000' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_defecatie): de waarde van @code/@codeSystem MOET ''162098000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.135
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:value
Item: (frequentie_defecatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.135']]/hl7:observation/hl7:value"
         id="tmp-5c72c414-513a-4c6a-b8ca-35879243975e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.135.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(frequentie_defecatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>