<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Description: Template voor de weergave van soort stoma
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.137">
   <title>soort stoma</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]
Item: (soort_stoma)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]"
         id="tmp-7b893b0e-7c0c-4c75-8f03-4a8574e74b9d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(soort_stoma): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(soort_stoma): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct
Item: (soort_stoma)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct"
         id="tmp-989d276e-3189-4c13-930f-30a46c938096">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']/@nullFlavor)">(soort_stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137'])&lt;=1">(soort_stoma): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(soort_stoma): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(soort_stoma): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']
Item: (soort_stoma)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.137']"
         id="tmp-bb60f01f-ebbf-48f0-b154-28ad14b25e2b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(soort_stoma): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.137'">(soort_stoma): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.137' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(soort_stoma): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (soort_stoma)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-69195bd3-d4c7-49b1-9bd6-9dcb7311ea78">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="@classCode='MMAT'">(soort_stoma): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(soort_stoma): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.137.html"
              test="count(hl7:name)&lt;=1">(soort_stoma): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.137
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.137']]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (soort_stoma)
-->
</pattern>