<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Description: Template voor de weergave van datum laatste menstruatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.141">
   <title>datum laatste menstruatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]
Item: (datum_laatste_menstruatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]"
         id="tmp-d693248f-37b3-4a2d-bf14-4611607d8216">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(datum_laatste_menstruatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:observation)&lt;=1">(datum_laatste_menstruatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation
Item: (datum_laatste_menstruatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation"
         id="tmp-1a8393fd-7e50-4ee4-9f96-cd79c60a46f1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@classCode='OBS'">(datum_laatste_menstruatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@moodCode='EVN'">(datum_laatste_menstruatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141']/@nullFlavor)">(datum_laatste_menstruatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141'])&lt;=1">(datum_laatste_menstruatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(datum_laatste_menstruatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:code)&lt;=1">(datum_laatste_menstruatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(datum_laatste_menstruatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="count(hl7:value)&lt;=1">(datum_laatste_menstruatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141']
Item: (datum_laatste_menstruatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.141']"
         id="tmp-9cfef3e5-f038-4b85-bb90-076013c57523">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(datum_laatste_menstruatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.141'">(datum_laatste_menstruatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.141' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(datum_laatste_menstruatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:code
Item: (datum_laatste_menstruatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:code"
         id="tmp-c3472078-d3db-4d8a-87a9-49a49165c638">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(datum_laatste_menstruatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@nullFlavor or (@code='21840007' and @codeSystem='2.16.840.1.113883.6.96')">(datum_laatste_menstruatie): de waarde van @code/@codeSystem MOET ''21840007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.141
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:value
Item: (datum_laatste_menstruatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.141']]/hl7:observation/hl7:value"
         id="tmp-64aa9799-4d10-479f-ab60-ca944a53a20b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.141.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(datum_laatste_menstruatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>