<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Description: Template voor de weergave van aantal weken - zwangerschap
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.147">
   <title>aantal weken - zwangerschap</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]"
         id="tmp-033fd55f-8b3b-4907-ac9a-4865bf6c435d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:observation)&lt;=1">(aantal_weken_zwangerschap): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation"
         id="tmp-4406c0bf-9182-4801-ab33-0ca8306e0718">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@classCode='OBS'">(aantal_weken_zwangerschap): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@moodCode='EVN'">(aantal_weken_zwangerschap): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&lt;=1">(aantal_weken_zwangerschap): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:code)&lt;=1">(aantal_weken_zwangerschap): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="count(hl7:value)&lt;=1">(aantal_weken_zwangerschap): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']"
         id="tmp-ca07683d-8639-478e-8e0d-36521e2df314">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.147'">(aantal_weken_zwangerschap): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.147' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(aantal_weken_zwangerschap): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:code
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:code"
         id="tmp-f9298903-f514-4127-8f94-5485a17e63c0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@nullFlavor or (@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_weken_zwangerschap): de waarde van @code/@codeSystem MOET ''57036006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:value
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation/hl7:value"
         id="tmp-3a3620e4-7ee6-477b-a6ae-71aa2dd05705">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="(@nullFlavor or (@unit='wk'))">(aantal_weken_zwangerschap): value MOET eenheid 'wk' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="$digitok">(aantal_weken_zwangerschap): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.147.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(aantal_weken_zwangerschap): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>