<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Description: Template voor de weergave van decubitus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.152">
   <title>decubitus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]
Item: (decubitus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]"
         id="tmp-dff8627b-9360-4d3c-9648-a9ef60b562a7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(decubitus): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:observation)&lt;=1">(decubitus): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation
Item: (decubitus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation"
         id="tmp-b5cf898b-d779-4385-8230-0a204edc7011">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@classCode='OBS'">(decubitus): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@moodCode='EVN'">(decubitus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(decubitus): Als er géén decubitus is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(decubitus): Als er géén decubitus is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152']/@nullFlavor)">(decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152'])&lt;=1">(decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(decubitus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:code)&lt;=1">(decubitus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:value)&lt;=1">(decubitus): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.153']]])&lt;=1">(decubitus): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.153']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']]])&lt;=1">(decubitus): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']]])&lt;=1">(decubitus): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152']
Item: (decubitus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.152']"
         id="tmp-aae3ec2b-c203-4235-87b6-fa4b8af40554">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.152'">(decubitus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.152' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(decubitus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:code
Item: (decubitus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:code"
         id="tmp-b99d236e-3f6e-4a61-a78e-21010ea3852b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@nullFlavor or (@code='400192002' and @codeSystem='2.16.840.1.113883.6.96')">(decubitus): de waarde van @code/@codeSystem MOET ''400192002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:value
Item: (decubitus)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:value"
         id="tmp-0201a09f-2aa7-4a0e-bb1f-6d02a677cf79">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-decubitus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-decubitus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(decubitus): de waarde van @code MOET worden gekozen uit waardenlijst decubitus DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(decubitus): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst decubitus DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.153']]]
Item: (decubitus)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.153']]]"
         id="tmp-fb3f6f25-f14c-4807-a16f-9b1e047e770f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@typeCode='REFR'">(decubitus): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']]]
Item: (decubitus)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']]]"
         id="tmp-47334892-93c9-4c6e-bd5f-7817f078401e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@typeCode='REFR'">(decubitus): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.152
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']]]
Item: (decubitus)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.152']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']]]"
         id="tmp-bdaaf922-c692-4367-9d5f-f7eda0f37d61">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.152.html"
              test="@typeCode='REFR'">(decubitus): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>