<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Description: Template voor de weergave van preventie – huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.159">
   <title>preventie – huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]
Item: (preventie_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]"
         id="tmp-0982d451-e1ba-4bf7-87f6-f77733ab6a60">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(preventie_huidletsel): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:procedure)&lt;=1">(preventie_huidletsel): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure
Item: (preventie_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure"
         id="tmp-694e9f19-5899-435d-a61f-3775a04c0424">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@classCode='PROC'">(preventie_huidletsel): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@moodCode='EVN'">(preventie_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']/@nullFlavor)">(preventie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'])&lt;=1">(preventie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(preventie_huidletsel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="count(hl7:code)&lt;=1">(preventie_huidletsel): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']
Item: (preventie_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.159']"
         id="tmp-8c46f2a6-0aec-4a2a-a9a4-cc08aba922b0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(preventie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.159'">(preventie_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.159' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(preventie_huidletsel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.159
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure/hl7:code
Item: (preventie_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.159']]/hl7:procedure/hl7:code"
         id="tmp-80984356-b46c-4535-aac8-837b442ce156">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(preventie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.159.html"
              test="@nullFlavor or (@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')">(preventie_huidletsel): de waarde van @code/@codeSystem MOET ''169443000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>