<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Description: Template voor de weergave van behandelplan - huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.160">
   <title>behandelplan - huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]"
         id="tmp-35fa5689-41de-4132-865a-85db652c3381">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(behandelplan_huidletsel): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:procedure)&lt;=1">(behandelplan_huidletsel): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure"
         id="tmp-8923e162-b5b1-4308-8419-b24d79f627df">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@classCode='PROC'">(behandelplan_huidletsel): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@moodCode='EVN'">(behandelplan_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']/@nullFlavor)">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&lt;=1">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(behandelplan_huidletsel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="count(hl7:code)&lt;=1">(behandelplan_huidletsel): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']"
         id="tmp-96962778-cfb3-427a-b969-7806244218e1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.160'">(behandelplan_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.160' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(behandelplan_huidletsel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure/hl7:code
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure/hl7:code"
         id="tmp-d00aec55-6c7b-4425-8cf5-466eaf160950">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.160.html"
              test="@nullFlavor or (@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_huidletsel): de waarde van @code/@codeSystem MOET ''183001000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>