<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Description: Template voor de weergave van behandelplan - overige huidaandoeningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.166">
   <title>behandelplan - overige huidaandoeningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]"
         id="tmp-67467d51-7ac4-4999-97b4-3684d4a67ec1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:procedure)&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure"
         id="tmp-6638fb91-569b-494e-a04b-71feb74555be">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@classCode='PROC'">(behandelplan_overige_huidaandoeningen): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@moodCode='EVN'">(behandelplan_overige_huidaandoeningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="count(hl7:code)&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']"
         id="tmp-7b8c83e5-7c28-45ae-9e61-a2f8b7dc93b5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(behandelplan_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.166'">(behandelplan_overige_huidaandoeningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.166' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(behandelplan_overige_huidaandoeningen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure/hl7:code
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure/hl7:code"
         id="tmp-fdfdbc69-a170-4ad3-b39a-69de2558d30e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(behandelplan_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.166.html"
              test="@nullFlavor or (@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_overige_huidaandoeningen): de waarde van @code/@codeSystem MOET ''225360001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>