<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Description: Template voor de weergave van Organizer andere relevante medische aandoening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.17">
   <title>organizer andere relevante medische aandoening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]
Item: (Organizer_andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]"
         id="tmp-ee87bfab-8122-4425-8b62-b20c92735012">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(Organizer_andere_relevante_medische_aandoening): element hl7:organizer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:organizer)&lt;=1">(Organizer_andere_relevante_medische_aandoening): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer
Item: (Organizer_andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer"
         id="tmp-3aa45357-d786-469e-a19b-fb3a8f57afac">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@classCode='CLUSTER'">(Organizer_andere_relevante_medische_aandoening): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@moodCode='EVN'">(Organizer_andere_relevante_medische_aandoening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17']/@nullFlavor)">(Organizer_andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17'])&lt;=1">(Organizer_andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:statusCode)&gt;=1 ">(Organizer_andere_relevante_medische_aandoening): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:statusCode)&lt;=1">(Organizer_andere_relevante_medische_aandoening): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']]]/@nullFlavor)">(Organizer_andere_relevante_medische_aandoening): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']]] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17']
Item: (Organizer_andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.17']"
         id="tmp-9d4e0a08-bd80-4c5e-b446-365b6d61893c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Organizer_andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.17'">(Organizer_andere_relevante_medische_aandoening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.17' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Organizer_andere_relevante_medische_aandoening): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer/hl7:statusCode
Item: (Organizer_andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer/hl7:statusCode"
         id="tmp-c6e1b1a3-5ce1-46b8-80c6-c804dd06d5f5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(Organizer_andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.17.html"
              test="@nullFlavor or (@code='completed')">(Organizer_andere_relevante_medische_aandoening): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.17
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']]]
Item: (Organizer_andere_relevante_medische_aandoening)
--></pattern>