<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Description: Template voor de weergave van entry Zintuigen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.174">
   <title>entry Zintuigen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]
Item: (entry_Zintuigen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]"
         id="tmp-df0a8495-4c4b-4fe2-a904-b978aeb9d13d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entry_Zintuigen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:observation)&lt;=1">(entry_Zintuigen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation
Item: (entry_Zintuigen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation"
         id="tmp-ab08209f-9aae-4bbe-b7c1-f7676e411091">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@classCode='OBS'">(entry_Zintuigen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@moodCode='EVN'">(entry_Zintuigen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entry_Zintuigen): Als er géén bijzonderheden zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entry_Zintuigen): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']/@nullFlavor)">(entry_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174'])&lt;=1">(entry_Zintuigen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entry_Zintuigen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:code)&lt;=1">(entry_Zintuigen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]])&lt;=1">(entry_Zintuigen): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']
Item: (entry_Zintuigen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.174']"
         id="tmp-b2558442-e8e0-4666-b8e6-4390ac4c42f0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entry_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.174'">(entry_Zintuigen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.174' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entry_Zintuigen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:code
Item: (entry_Zintuigen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:code"
         id="tmp-46559cf4-6280-4cfb-8425-29cdea95cb22">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entry_Zintuigen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@nullFlavor or (@code='373713005' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Zintuigen): de waarde van @code/@codeSystem MOET ''373713005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']]]"
         id="tmp-b286795e-8cae-4fa7-b7c6-919715fbf940">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='COMP'">(entry_Zintuigen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']]]"
         id="tmp-81677001-b098-4806-8590-5671e51e1b15">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='REFR'">(entry_Zintuigen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.178']]]"
         id="tmp-d1954b19-3cf4-4baf-ae8c-81ca0de5fb44">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='COMP'">(entry_Zintuigen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.179']]]"
         id="tmp-59c8943b-f1c7-42e2-8aa4-967492e5712e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='REFR'">(entry_Zintuigen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']]]"
         id="tmp-f19ff27e-edf8-4635-a6a3-63a539194db6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='COMP'">(entry_Zintuigen): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.174
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]
Item: (entry_Zintuigen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.174']]/hl7:observation/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']]]"
         id="tmp-30140e81-efb1-445e-b244-f32bc3d07207">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.174.html"
              test="@typeCode='REFR'">(entry_Zintuigen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>