<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Description: Template voor de weergave van juridische status
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.190">
   <title>juridische status</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]
Item: (juridische_status)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]"
         id="tmp-37d6e8a8-034f-485f-a166-81cd49974991">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(juridische_status): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:observation)&lt;=1">(juridische_status): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation
Item: (juridische_status)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation"
         id="tmp-5a0fd945-41e7-4fb1-b590-23c70427449c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@classCode='OBS'">(juridische_status): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@moodCode='EVN'">(juridische_status): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']/@nullFlavor)">(juridische_status): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190'])&lt;=1">(juridische_status): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(juridische_status): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:code)&lt;=1">(juridische_status): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(juridische_status): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="count(hl7:value)&lt;=1">(juridische_status): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']
Item: (juridische_status)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.190']"
         id="tmp-da9b5bbd-311e-4987-a55b-3130e9d48c5c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(juridische_status): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.190'">(juridische_status): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.190' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(juridische_status): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:code
Item: (juridische_status)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:code"
         id="tmp-de5b8572-13ea-41a1-b198-25061a098f28">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(juridische_status): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@nullFlavor or (@code='303186005' and @codeSystem='2.16.840.1.113883.6.96')">(juridische_status): de waarde van @code/@codeSystem MOET ''303186005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.190
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:value
Item: (juridische_status)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.190']]/hl7:observation/hl7:value"
         id="tmp-e7d52720-0439-4cbf-89e9-ede9296e7df1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(juridische_status): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-JuridischeStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-JuridischeStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(juridische_status): de waarde van @code MOET worden gekozen uit waardenlijst JuridischeStatus juridische status DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.190.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(juridische_status): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst JuridischeStatus juridische status DYNAMIC.</assert>
   </rule>
</pattern>