<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Description: Template voor de weergave van middelengebruik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.195">
   <title>middelengebruik</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]
Item: (middelengebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]"
         id="tmp-8a2c9bdc-decf-4de1-a56b-66026689623d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(middelengebruik): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:observation)&lt;=1">(middelengebruik): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation
Item: (middelengebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation"
         id="tmp-b0060af6-6d42-49d2-89ff-4280995a1027">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@classCode='OBS'">(middelengebruik): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@moodCode='EVN'">(middelengebruik): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']/@nullFlavor)">(middelengebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'])&lt;=1">(middelengebruik): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:code)&gt;=1 ">(middelengebruik): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:code)&lt;=1">(middelengebruik): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(middelengebruik): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="count(hl7:value)&lt;=1">(middelengebruik): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']
Item: (middelengebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.195']"
         id="tmp-46ee7404-6c6d-46ac-953d-288e8c4e0fcb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.195'">(middelengebruik): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.195' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(middelengebruik): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:code
Item: (middelengebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:code"
         id="tmp-db626949-9daa-46ee-aa2f-c0dd778a710f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@nullFlavor or (@code='409069009' and @codeSystem='2.16.840.1.113883.6.96')">(middelengebruik): de waarde van @code/@codeSystem MOET ''409069009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.195
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:value
Item: (middelengebruik)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.195']]/hl7:observation/hl7:value"
         id="tmp-5378beab-ca76-4735-ba1f-bf8c4e752522">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.195.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(middelengebruik): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>