<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Description: Template voor de weergave van vrijheidsbeperkende interventies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.196">
   <title>vrijheidsbeperkende interventies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]
Item: (vrijheidsbeperkende_interventies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]"
         id="tmp-554fd107-a1fb-4e40-b54a-6c6ebde8a0fb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:observation)&gt;=1 ">(vrijheidsbeperkende_interventies): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:observation)&lt;=1">(vrijheidsbeperkende_interventies): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation
Item: (vrijheidsbeperkende_interventies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation"
         id="tmp-22df99d2-165a-49c3-bf7b-611fa3f3fcfe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@classCode='OBS'">(vrijheidsbeperkende_interventies): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@moodCode='EVN'">(vrijheidsbeperkende_interventies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']/@nullFlavor)">(vrijheidsbeperkende_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(vrijheidsbeperkende_interventies): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:code)&lt;=1">(vrijheidsbeperkende_interventies): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:value)&lt;=1">(vrijheidsbeperkende_interventies): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]])&lt;=1">(vrijheidsbeperkende_interventies): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']
Item: (vrijheidsbeperkende_interventies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.196']"
         id="tmp-2404ef59-f398-45ab-b3d1-d5add718962b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.196'">(vrijheidsbeperkende_interventies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.196' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(vrijheidsbeperkende_interventies): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:code
Item: (vrijheidsbeperkende_interventies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:code"
         id="tmp-2019579e-d2f7-4e15-b90c-e7ce74fbcdfb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@nullFlavor or (@code='225317005' and @codeSystem='2.16.840.1.113883.6.96')">(vrijheidsbeperkende_interventies): de waarde van @code/@codeSystem MOET ''225317005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:value
Item: (vrijheidsbeperkende_interventies)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:value"
         id="tmp-8f131682-4542-4acc-a516-3b10ae1be0f3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(vrijheidsbeperkende_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.196
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]
Item: (vrijheidsbeperkende_interventies)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.196']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']]]"
         id="tmp-17c5933f-f76b-4ea5-8528-64a63950101e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.196.html"
              test="@typeCode='REFR'">(vrijheidsbeperkende_interventies): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>