<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Description: Template voor de weergave van entryRelationship allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.20">
   <title>entryRelationship allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]"
         id="tmp-5c892ab1-b546-46a9-91b0-143f124681cc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(entryRelationship_allergie): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:act)&lt;=1">(entryRelationship_allergie): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act"
         id="tmp-4d7d8a89-ebd2-4afb-9a3a-f646bf604d86">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@classCode='ACT'">(entryRelationship_allergie): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@moodCode='EVN'">(entryRelationship_allergie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']/@nullFlavor)">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&lt;=1">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:code)&gt;=1 ">(entryRelationship_allergie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_allergie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]/@nullFlavor)">(entryRelationship_allergie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']"
         id="tmp-d65fd924-cf5b-4b78-8836-0d8b919af09a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.20'">(entryRelationship_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.20' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_allergie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:code
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:code"
         id="tmp-5d802a35-0359-4529-9139-6cff52d9ea92">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@nullFlavor='NA'">(entryRelationship_allergie): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]
Item: (entryRelationship_allergie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']]]"
         id="tmp-19ed351c-dcc7-4cba-94d2-527873c5f284">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.20.html"
              test="@typeCode='SUBJ'">(entryRelationship_allergie): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>