<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Description: Template voor de weergave van tijd oriëntatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.202">
   <title>tijd oriëntatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]
Item: (tijd_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]"
         id="tmp-1e26660a-aca5-43a8-a5ed-e1efbc280f5c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(tijd_oriëntatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:observation)&lt;=1">(tijd_oriëntatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation
Item: (tijd_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation"
         id="tmp-9fb72db3-1726-4ab7-84a1-073bdd629d6b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@classCode='OBS'">(tijd_oriëntatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@moodCode='EVN'">(tijd_oriëntatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202']/@nullFlavor)">(tijd_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202'])&lt;=1">(tijd_oriëntatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(tijd_oriëntatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:code)&lt;=1">(tijd_oriëntatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(tijd_oriëntatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="count(hl7:value)&lt;=1">(tijd_oriëntatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202']
Item: (tijd_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.202']"
         id="tmp-52d024f8-e06d-4b83-b051-775feef12186">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(tijd_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.202'">(tijd_oriëntatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.202' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(tijd_oriëntatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:code
Item: (tijd_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:code"
         id="tmp-0fa9dc27-e5a8-433a-bec6-5c68e0dc0672">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(tijd_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@nullFlavor or (@code='b1140' and @codeSystem='2.16.840.1.113883.6.254')">(tijd_oriëntatie): de waarde van @code/@codeSystem MOET ''b1140' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.202
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:value
Item: (tijd_oriëntatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.202']]/hl7:observation/hl7:value"
         id="tmp-1da6bba4-d373-47e1-95af-961ef46af5c7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(tijd_oriëntatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.202.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(tijd_oriëntatie): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(tijd_oriëntatie): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>