<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Description: Template voor de weergave van lange termijn geheugen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.209">
   <title>lange termijn geheugen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]
Item: (lange_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]"
         id="tmp-8b33e429-e9a2-4214-8b6e-ef2da038b537">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(lange_termijn_geheugen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:observation)&lt;=1">(lange_termijn_geheugen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation
Item: (lange_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation"
         id="tmp-c06a956e-c093-4680-8116-49d1b291da85">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@classCode='OBS'">(lange_termijn_geheugen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@moodCode='EVN'">(lange_termijn_geheugen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209']/@nullFlavor)">(lange_termijn_geheugen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209'])&lt;=1">(lange_termijn_geheugen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(lange_termijn_geheugen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:code)&lt;=1">(lange_termijn_geheugen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(lange_termijn_geheugen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="count(hl7:value)&lt;=1">(lange_termijn_geheugen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209']
Item: (lange_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.209']"
         id="tmp-2779a05a-d6e7-4a09-9f28-c951fa9ab0a9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(lange_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.209'">(lange_termijn_geheugen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.209' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(lange_termijn_geheugen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:code
Item: (lange_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:code"
         id="tmp-bb77f64e-1944-4e9f-89ea-43684664dda9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(lange_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@nullFlavor or (@code='b1441' and @codeSystem='2.16.840.1.113883.6.254')">(lange_termijn_geheugen): de waarde van @code/@codeSystem MOET ''b1441' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.209
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:value
Item: (lange_termijn_geheugen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.209']]/hl7:observation/hl7:value"
         id="tmp-e53e2660-391f-4b67-b1c7-2d9c13572588">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(lange_termijn_geheugen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.209.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(lange_termijn_geheugen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(lange_termijn_geheugen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>