<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Description: Template voor de weergave van entryRelationship infectierisico
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.23">
   <title>infectierisico</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]"
         id="tmp-938ca31d-048a-424b-8045-70d0231919a1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_infectierisico): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_infectierisico): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation"
         id="tmp-3b4aad0a-0348-4883-8fa8-441cf1a299d7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@classCode='OBS'">(entryRelationship_infectierisico): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@moodCode='EVN'">(entryRelationship_infectierisico): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_infectierisico): Als er géén infectierisico is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entryRelationship_infectierisico): Als er géén infectierisico is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']/@nullFlavor)">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&lt;=1">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_infectierisico): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_infectierisico): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']]])&lt;=1">(entryRelationship_infectierisico): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']"
         id="tmp-be1424b3-e493-4f42-92cd-dbe46362d28b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.23'">(entryRelationship_infectierisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.23' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_infectierisico): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:code
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:code"
         id="tmp-9b1f5e49-5ae6-4e4e-821b-ba9a91106709">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@nullFlavor or (@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_infectierisico): de waarde van @code/@codeSystem MOET ''78648007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']]]
Item: (entryRelationship_infectierisico)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.24']]]"
         id="tmp-ca36d680-2f97-4bf9-92b8-339becfcacc7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.23.html"
              test="@typeCode='REFR'">(entryRelationship_infectierisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>