<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Description: Template voor de weergave van werk beroep
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.244">
   <title>werk beroep</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]
Item: (werk_beroep)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]"
         id="tmp-3a1ccd6b-d2c3-4709-95a9-d2e5a75a5614">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(werk_beroep): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:observation)&lt;=1">(werk_beroep): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation
Item: (werk_beroep)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation"
         id="tmp-24fc23cc-2df2-45fc-8b11-76d5b0fbe604">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@classCode='OBS'">(werk_beroep): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@moodCode='EVN'">(werk_beroep): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']/@nullFlavor)">(werk_beroep): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'])&lt;=1">(werk_beroep): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(werk_beroep): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:code)&lt;=1">(werk_beroep): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(werk_beroep): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="count(hl7:value)&lt;=1">(werk_beroep): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']
Item: (werk_beroep)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.244']"
         id="tmp-20631921-d045-47fa-9862-f9aeb6088cd0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.244'">(werk_beroep): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.244' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(werk_beroep): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:code
Item: (werk_beroep)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:code"
         id="tmp-ed4b2837-11d4-4b55-9c1a-afa348395002">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@nullFlavor or (@code='184104002' and @codeSystem='2.16.840.1.113883.6.96')">(werk_beroep): de waarde van @code/@codeSystem MOET ''184104002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.244
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:value
Item: (werk_beroep)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.244']]/hl7:observation/hl7:value"
         id="tmp-71bd2443-97e9-4cb9-b83d-d698f6bb0c9c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.244.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(werk_beroep): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>