<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Description: Template voor de weergave van frequentie mantelzorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.252">
   <title>frequentie mantelzorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]
Item: (frequentie_mantelzorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]"
         id="tmp-acc2656a-4d5b-4b68-9048-bca7a8df99b9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(frequentie_mantelzorg): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:observation)&lt;=1">(frequentie_mantelzorg): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation
Item: (frequentie_mantelzorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation"
         id="tmp-2a33b603-4fe0-4946-ab6e-55e5fef8bda1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@classCode='OBS'">(frequentie_mantelzorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@moodCode='EVN'">(frequentie_mantelzorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']/@nullFlavor)">(frequentie_mantelzorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'])&lt;=1">(frequentie_mantelzorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(frequentie_mantelzorg): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:code)&lt;=1">(frequentie_mantelzorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_mantelzorg): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="count(hl7:value)&lt;=1">(frequentie_mantelzorg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']
Item: (frequentie_mantelzorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.252']"
         id="tmp-ecea1c02-aedd-4c57-bc88-27f42e988a35">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.252'">(frequentie_mantelzorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.252' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(frequentie_mantelzorg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:code
Item: (frequentie_mantelzorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:code"
         id="tmp-f96adc9e-4556-4e5e-96f3-faacc4c108b6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@nullFlavor or (@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_mantelzorg): de waarde van @code/@codeSystem MOET ''260866001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.252
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:value
Item: (frequentie_mantelzorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.252']]/hl7:observation/hl7:value"
         id="tmp-eb676793-fedf-4575-a1de-c58d3e76d507">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.252.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(frequentie_mantelzorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>