<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Description: Template voor de weergave van aanvraag hulpmiddelen aanpassingen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.257">
   <title>aanvraag hulpmiddelen aanpassingen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]"
         id="tmp-ef07e1f9-3cfe-4339-9349-061315b7c086">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:supply)&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply"
         id="tmp-d8ccf0d0-fb39-4d44-a2f6-b648e0954de2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@classCode='SPLY'">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@moodCode='EVN'">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:code)&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="count(hl7:statusCode)&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']"
         id="tmp-dc151466-ef75-4e61-8a75-6cb8068d22f6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.257'">(aanvraag_hulpmiddelen_aanpassingen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.257' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(aanvraag_hulpmiddelen_aanpassingen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:code
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:code"
         id="tmp-b9873287-47de-4610-903c-3613465a9573">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@nullFlavor or (@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @code/@codeSystem MOET ''272181003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:statusCode
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply/hl7:statusCode"
         id="tmp-355aed95-6eec-4634-8241-c7002804be4b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.257.html"
              test="@nullFlavor or (@code='completed')">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>
</pattern>