<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Description: Template: entryRelationship reden in zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.29">
   <title>reden in zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]"
         id="tmp-910fb9af-552a-4f97-a1f7-cd7e184c2919">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_reden_in_zorg): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation"
         id="tmp-f473992f-f2e5-4f73-8c62-09f88314ed59">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@classCode='OBS'">(entryRelationship_reden_in_zorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@moodCode='EVN'">(entryRelationship_reden_in_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&lt;=1">(entryRelationship_reden_in_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_reden_in_zorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_reden_in_zorg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']"
         id="tmp-d86ed6d1-9ae8-4cb2-9536-a56302a973af">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.29'">(entryRelationship_reden_in_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.29' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_reden_in_zorg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:code
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:code"
         id="tmp-25895025-b5b8-4daa-9463-3fad1a085092">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@nullFlavor or (@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_reden_in_zorg): de waarde van @code/@codeSystem MOET ''86644006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:value
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation/hl7:value"
         id="tmp-eeed4607-52c1-4f33-b905-1bf0665a38c2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.29.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>