<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Description: Template voor de weergave van reden overdragen zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.30">
   <title>procedure reden overdragen zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]"
         id="tmp-80ae41d5-7783-4926-a8f1-9fce82bf2fcf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:procedure)&lt;=1">(procedure_reden_overdragen_zorg): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure"
         id="tmp-ba87addb-4758-4eeb-b653-3868412e45cd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@classCode='PROC'">(procedure_reden_overdragen_zorg): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@moodCode='EVN'">(procedure_reden_overdragen_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:code)&lt;=1">(procedure_reden_overdragen_zorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']"
         id="tmp-03c8d0cd-f839-4d5f-b0b2-d00aeb760287">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.30'">(procedure_reden_overdragen_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.30' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(procedure_reden_overdragen_zorg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:code
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:code"
         id="tmp-c15adad1-fbf4-4577-8c5e-4c743f967a49">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@nullFlavor or (@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')">(procedure_reden_overdragen_zorg): de waarde van @code/@codeSystem MOET ''308292007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]
Item: (procedure_reden_overdragen_zorg)
-->
<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']]]"
         id="tmp-11fedb74-efa4-452f-8c85-2c99c7babf78">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@typeCode='RSON'">(procedure_reden_overdragen_zorg): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]]
Item: (procedure_reden_overdragen_zorg)
-->
<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']]]"
         id="tmp-022b4bed-b3e8-405b-a197-856296dd11be">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.30.html"
              test="@typeCode='REFR'">(procedure_reden_overdragen_zorg): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>