<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Description: Template: entryRelationship reden overdragen zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.31">
   <title>entryRelationship reden overdragen zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]
Item: (entryRelationship_reden_overdragen_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]"
         id="tmp-39eebff3-2a30-4ccd-b45e-fcb9f7847d7b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_reden_overdragen_zorg): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation
Item: (entryRelationship_reden_overdragen_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation"
         id="tmp-aff84568-924c-4371-9c81-cfe257f92b82">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@classCode='OBS'">(entryRelationship_reden_overdragen_zorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@moodCode='EVN'">(entryRelationship_reden_overdragen_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']/@nullFlavor)">(entryRelationship_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'])&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:code)&gt;=1 ">(entryRelationship_reden_overdragen_zorg): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_reden_overdragen_zorg): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_reden_overdragen_zorg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']
Item: (entryRelationship_reden_overdragen_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.31']"
         id="tmp-66e2f2c0-0bf7-45aa-8654-dcd6c67679ff">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.31'">(entryRelationship_reden_overdragen_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.31' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_reden_overdragen_zorg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:code
Item: (entryRelationship_reden_overdragen_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:code"
         id="tmp-d288dd7e-ccfa-414b-b2fc-122294281fb3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@nullFlavor='UNK'">(entryRelationship_reden_overdragen_zorg): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.31
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:value
Item: (entryRelationship_reden_overdragen_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/hl7:observation/hl7:value"
         id="tmp-8d65b306-1aa1-4821-adc0-7b12506f239b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.31.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>