<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Description: Template: entryRelationship mening client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.35">
   <title>mening client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]"
         id="tmp-786fa8d5-9869-4156-8009-ca8c78497bdb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_mening_client): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_mening_client): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation"
         id="tmp-4d8b5264-0e10-4eed-af5a-dc2705f5e76e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@classCode='OBS'">(entryRelationship_mening_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@moodCode='EVN'">(entryRelationship_mening_client): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']/@nullFlavor)">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&lt;=1">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_mening_client): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_mening_client): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_mening_client): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_mening_client): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']"
         id="tmp-6ab3ace3-bb56-490b-9385-2442f2858ede">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.35'">(entryRelationship_mening_client): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.35' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_mening_client): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:code
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:code"
         id="tmp-93439a80-d5d9-424b-bff1-b56798eb8bd3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@nullFlavor or (@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mening_client): de waarde van @code/@codeSystem MOET ''405223005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:value
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation/hl7:value"
         id="tmp-85546196-fa3f-4436-8e61-3f4acb15bf57">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.35.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>