<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Description: Template: Aantal kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.4">
   <title>aantal kinderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]
Item: (aantal_kinderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]"
         id="tmp-a5567f52-92c3-41ba-a181-b24bd0f86030">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(aantal_kinderen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:observation)&lt;=1">(aantal_kinderen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation
Item: (aantal_kinderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation"
         id="tmp-e8537a72-6860-4b16-9bf5-dfa56caca275">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@classCode='OBS'">(aantal_kinderen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@moodCode='EVN'">(aantal_kinderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4']/@nullFlavor)">(aantal_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4'])&lt;=1">(aantal_kinderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(aantal_kinderen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:code)&lt;=1">(aantal_kinderen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_kinderen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="count(hl7:value)&lt;=1">(aantal_kinderen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4']
Item: (aantal_kinderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.4']"
         id="tmp-28a0f451-55bf-4bb6-a0ff-1e3026b82f69">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(aantal_kinderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.4'">(aantal_kinderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.4' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(aantal_kinderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:code
Item: (aantal_kinderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:code"
         id="tmp-15295930-5d85-48af-928e-339bfdbc7175">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(aantal_kinderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@nullFlavor or (@code='224118004' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_kinderen): de waarde van @code/@codeSystem MOET ''224118004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:value
Item: (aantal_kinderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]/hl7:observation/hl7:value"
         id="tmp-8d1a570d-09a0-4220-a33e-bd7e7fb98e0b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(aantal_kinderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.4.html"
              test="$digitok">(aantal_kinderen): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>