<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Description: Template: Aantal kinderen inwonend
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.6">
   <title>aantal kinderen inwonend</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]"
         id="tmp-8d299350-7078-4543-b561-57d69f59cb68">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:observation)&lt;=1">(aantal_kinderen_inwonend): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation"
         id="tmp-a56f4c2f-d808-46bb-b361-039333d7a3bb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@classCode='OBS'">(aantal_kinderen_inwonend): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@moodCode='EVN'">(aantal_kinderen_inwonend): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&lt;=1">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:code)&lt;=1">(aantal_kinderen_inwonend): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="count(hl7:value)&lt;=1">(aantal_kinderen_inwonend): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']"
         id="tmp-d3f7961c-8147-490f-9579-b0a96c212d40">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.6'">(aantal_kinderen_inwonend): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.6' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(aantal_kinderen_inwonend): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:code
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:code"
         id="tmp-b2664cba-f4ec-46a2-b278-838297157951">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@nullFlavor or (@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_kinderen_inwonend): de waarde van @code/@codeSystem MOET ''224525003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:value
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation/hl7:value"
         id="tmp-7cdb975c-85d5-4aa0-8e73-14a79bbe118a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.6.html"
              test="$digitok">(aantal_kinderen_inwonend): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>