<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Description: Template voor de weergave van transfers in lig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.60">
   <title>transfers in lig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]
Item: (entryRelationship_transfers_in_lig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]"
         id="tmp-39a9c878-a913-4f03-827a-2a1dc5d530f2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_transfers_in_lig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_transfers_in_lig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation
Item: (entryRelationship_transfers_in_lig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation"
         id="tmp-16c373b0-9173-4176-949e-43dfb01beb5e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@classCode='OBS'">(entryRelationship_transfers_in_lig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@moodCode='EVN'">(entryRelationship_transfers_in_lig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']/@nullFlavor)">(entryRelationship_transfers_in_lig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60'])&lt;=1">(entryRelationship_transfers_in_lig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_transfers_in_lig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_transfers_in_lig): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_transfers_in_lig): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_transfers_in_lig): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']
Item: (entryRelationship_transfers_in_lig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.60']"
         id="tmp-306d46f7-aa83-4df1-a2b3-2df699c2d00c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_transfers_in_lig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.60'">(entryRelationship_transfers_in_lig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.60' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_transfers_in_lig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:code
Item: (entryRelationship_transfers_in_lig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:code"
         id="tmp-80fc7de8-fd5a-4ead-8e76-ab0dc75fd3b0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_transfers_in_lig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@nullFlavor or (@code='d4201' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_transfers_in_lig): de waarde van @code/@codeSystem MOET ''d4201' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.60
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:value
Item: (entryRelationship_transfers_in_lig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]/hl7:observation/hl7:value"
         id="tmp-8131aa08-b031-4424-b26f-220de8b9ca46">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_transfers_in_lig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.60.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_transfers_in_lig): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_transfers_in_lig): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>