<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Description: Template: Leefomgeving
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.7">
   <title>leefomgeving</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]
Item: (Residence_and_accommodation_circumstances)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]"
         id="tmp-19256c2f-eccf-4ece-be80-b0eb6b4c956e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:observation)&lt;=1">(Residence_and_accommodation_circumstances): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation
Item: (Residence_and_accommodation_circumstances)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation"
         id="tmp-57fba038-c28c-468e-b0d4-2267497c10c8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@classCode='OBS'">(Residence_and_accommodation_circumstances): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@moodCode='EVN'">(Residence_and_accommodation_circumstances): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Residence_and_accommodation_circumstances): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:code)&lt;=1">(Residence_and_accommodation_circumstances): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]])&lt;=1">(Residence_and_accommodation_circumstances): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']
Item: (Residence_and_accommodation_circumstances)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']"
         id="tmp-6a3a05a2-8391-48ba-973a-6ce54175403b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Residence_and_accommodation_circumstances): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.7'">(Residence_and_accommodation_circumstances): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.7' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Residence_and_accommodation_circumstances): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:code
Item: (Residence_and_accommodation_circumstances)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:code"
         id="tmp-ac12f737-1c8b-497f-9d04-efdfe9e5807a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Residence_and_accommodation_circumstances): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@nullFlavor or (@code='224209007' and @codeSystem='2.16.840.1.113883.6.96')">(Residence_and_accommodation_circumstances): de waarde van @code/@codeSystem MOET ''224209007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.7
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]]
Item: (Residence_and_accommodation_circumstances)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.7']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.8']]]"
         id="tmp-08d4716b-d3b1-45a4-974e-190c2936ec22">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.7.html"
              test="@typeCode='COMP'">(Residence_and_accommodation_circumstances): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>