<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Description: Template voor de weergave van verpleegkundige interventies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.73">
   <title>verpleegkundige interventies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (verpleegkundige_interventies)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]"
         id="tmp-4a7cfdfd-62f4-457e-bb13-ed7804054922">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:procedure)&gt;=1 and not(hl7:procedure/@nullFlavor)">(verpleegkundige_interventies): element hl7:procedure is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:procedure)&lt;=1">(verpleegkundige_interventies): element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure
Item: (verpleegkundige_interventies)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure"
         id="tmp-4546587e-d556-4d70-8fd9-8b41ffd64b89">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@classCode='PROC'">(verpleegkundige_interventies): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@moodCode='EVN'">(verpleegkundige_interventies): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']/@nullFlavor)">(verpleegkundige_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'])&lt;=1">(verpleegkundige_interventies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(verpleegkundige_interventies): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="count(hl7:code)&lt;=1">(verpleegkundige_interventies): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']
Item: (verpleegkundige_interventies)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.73']"
         id="tmp-eb97f876-2514-4216-8b53-f72610aa701a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.73'">(verpleegkundige_interventies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.73' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(verpleegkundige_interventies): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.73
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure/hl7:code
Item: (verpleegkundige_interventies)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]/hl7:procedure/hl7:code"
         id="tmp-a3c1812a-a5a8-4bfe-be60-136eb9ac6699">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(verpleegkundige_interventies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.73.html"
              test="@nullFlavor or (@code='362956003' and @codeSystem='2.16.840.1.113883.6.96')">(verpleegkundige_interventies): de waarde van @code/@codeSystem MOET ''362956003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>