<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Description: Template voor de weergave van qualifier wassen bovenlichaam
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.777">
   <title>qualifier wassen bovenlichaam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]"
         id="tmp-f12ad090-631d-4fc6-ba08-b15bbb0a1f38">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(QualifierUpperBody): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:qualifier)&lt;=1">(QualifierUpperBody): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier"
         id="tmp-fb4d19e0-9402-452b-bb2f-d053ac5c5fb4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(QualifierUpperBody): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:name)&lt;=1">(QualifierUpperBody): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(QualifierUpperBody): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="count(hl7:value)&lt;=1">(QualifierUpperBody): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier/hl7:name
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier/hl7:name"
         id="tmp-f8e43524-b3c5-4fad-9992-d1743493d898">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de waarde van @code/@codeSystem MOET ''405813007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier/hl7:value
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:qualifier[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.777']]/hl7:qualifier/hl7:value"
         id="tmp-178212b3-12f8-4655-9340-78a28204476a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.777.html"
              test="@nullFlavor or (@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de waarde van @code/@codeSystem MOET ''128262006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>