<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Description: Template voor de weergave van entryRelationship prothese aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.84">
   <title>prothese aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]
Item: (entryRelationship_prothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]"
         id="tmp-f2146c7a-0fb3-46c0-a36d-ba58706498b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation
Item: (entryRelationship_prothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation"
         id="tmp-1c0ac1ec-ed12-4a37-b4f2-f1849eb280df">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@classCode='OBS'">(entryRelationship_prothese_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@moodCode='EVN'">(entryRelationship_prothese_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'])&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_prothese_aanwezig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_prothese_aanwezig): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']
Item: (entryRelationship_prothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.84']"
         id="tmp-76d2d49a-1f34-4780-ac6a-c5c467bdf25e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.84'">(entryRelationship_prothese_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.84' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_prothese_aanwezig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.84
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation/hl7:code
Item: (entryRelationship_prothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]/hl7:observation/hl7:code"
         id="tmp-d24e5264-5f1a-4682-a9db-6451ccb610f3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_prothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.84.html"
              test="@nullFlavor or (@code='27606000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prothese_aanwezig): de waarde van @code/@codeSystem MOET ''27606000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>