<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Description: Template Welke woning-aanpassingen nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.9">
   <title>welke woning-aanpassingen nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]"
         id="tmp-05848d12-e349-474c-8a82-e45c40d200b2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(Modification_of_house): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:observation)&lt;=1">(Modification_of_house): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation"
         id="tmp-cf307905-be5d-4b61-8cb5-4e39046fefcc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@classCode='OBS'">(Modification_of_house): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@moodCode='EVN'">(Modification_of_house): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']/@nullFlavor)">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&lt;=1">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Modification_of_house): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:code)&lt;=1">(Modification_of_house): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Modification_of_house): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="count(hl7:value)&lt;=1">(Modification_of_house): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']"
         id="tmp-863f0440-82f8-490d-96c7-7debbe4d6d8a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.9'">(Modification_of_house): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.9' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Modification_of_house): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:code
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:code"
         id="tmp-89b3c69f-0972-4c01-a1ca-ad1831f3a96f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@nullFlavor or (@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')">(Modification_of_house): de waarde van @code/@codeSystem MOET ''311765004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:value
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation/hl7:value"
         id="tmp-3a2415c9-c8a5-42cd-ab8c-0312fe091def">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.9.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>