<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.40
Description: CDA header
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.40">
   <title>e-Overdracht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument"
         id="tmp-1fa2f418-c006-49f4-a275-3563e507e586">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(e-Overdracht): element hl7:realmCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:realmCode)&lt;=1">(e-Overdracht): element hl7:realmCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(e-Overdracht): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(e-Overdracht): element hl7:typeId[@root='2.16.840.1.113883.1.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40']/@nullFlavor)">(e-Overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40'])&lt;=1">(e-Overdracht): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(e-Overdracht): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&lt;=1">(e-Overdracht): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(e-Overdracht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&lt;=1">(e-Overdracht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(e-Overdracht): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:title)&lt;=1">(e-Overdracht): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(e-Overdracht): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:effectiveTime)&lt;=1">(e-Overdracht): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:confidentialityCode)&gt;=1 and not(hl7:confidentialityCode/@nullFlavor)">(e-Overdracht): element hl7:confidentialityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:confidentialityCode)&lt;=1">(e-Overdracht): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(e-Overdracht): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:languageCode)&lt;=1">(e-Overdracht): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(e-Overdracht): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:recordTarget)&lt;=1">(e-Overdracht): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(e-Overdracht): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']])&gt;=1 and not(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/@nullFlavor)">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']])&gt;=1 and not(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/@nullFlavor)">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']])&lt;=1">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']])&gt;=1 ">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']] is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']])&gt;=1 and not(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/@nullFlavor)">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']])&lt;=1">(e-Overdracht): element hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">(e-Overdracht): element hl7:documentationOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:documentationOf)&lt;=1">(e-Overdracht): element hl7:documentationOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component)&gt;=1 ">(e-Overdracht): element hl7:component is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:realmCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-878dcbd8-c6fa-4949-80b9-46feaadf8bd5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@code='NL')">(e-Overdracht): de waarde van @code MOET ''NL'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-d3bc3205-f0fe-4bdd-85ac-04ae1edb8e2e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@extension='POCD_HD000040'">(e-Overdracht): de waarde van @extension MOET 'POCD_HD000040' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@root='2.16.840.1.113883.1.3'">(e-Overdracht): @root MOET de waarde '2.16.840.1.113883.1.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(e-Overdracht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.40']"
         id="tmp-b72c1aea-9a8b-4799-bbf0-7461efa81d13">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@root='2.16.840.1.113883.2.4.3.11.40'">(e-Overdracht): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.40' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(e-Overdracht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:id
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:id"
         id="tmp-44e4491e-6257-4be5-a2ff-1ef86daf3f9f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:code
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:code"
         id="tmp-65f6a883-757f-4b17-9f31-9a8b49dd0aaf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@code='28651-8' and @codeSystem='2.16.840.1.113883.6.1')">(e-Overdracht): de waarde van @code/@codeSystem MOET ''28651-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:title
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:title"
         id="tmp-c9e0aa03-76a5-4763-a047-da6fc53e957f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:effectiveTime
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:effectiveTime"
         id="tmp-52798ae7-30a5-4536-9fce-9ede9eebd54e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:confidentialityCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:confidentialityCode"
         id="tmp-fbc691d8-3d20-467e-a39f-fcffec5b94c6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25')">(e-Overdracht): de waarde van @code/@codeSystem MOET ''N' codeSystem '2.16.840.1.113883.5.25'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:languageCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:languageCode"
         id="tmp-c75da5e3-649d-405f-95b7-9c9ad000e2ec">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS.LANG" bevatten</assert>
      <extends rule="CS.LANG"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget"
         id="tmp-91e6a131-754c-4fcf-bf70-b4846700a89f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:patientRole)&gt;=1 and not(hl7:patientRole/@nullFlavor)">(e-Overdracht): element hl7:patientRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:patientRole)&lt;=1">(e-Overdracht): element hl7:patientRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole"
         id="tmp-c243a08a-958a-4e5a-9761-de31f5702b22">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='PAT'">(e-Overdracht): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(e-Overdracht): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(e-Overdracht): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(e-Overdracht): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:patient)&lt;=1">(e-Overdracht): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-2f6550cc-654c-45ed-bbe7-daf20fca7310">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(e-Overdracht): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(e-Overdracht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="tmp-2fcbd272-9bf3-40aa-9814-2fcf3aa191c0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='HP' or @use='WP' or @use='TMP' or @use='HV'">(e-Overdracht): de waarde van @use MOET één van de volgende codes bevatten: HP', 'WP', 'TMP', 'HV.</assert>
      <assert role="error"
              test="not(@use) or string-length(normalize-space(replace (@use, 'HP|WP|TMP PSH|HV', '')))=0">(e-Overdracht): Attribute @use moet één van de codes HP of WP of TEMP PHYS bevatten </assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(e-Overdracht): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:streetName)&lt;=1">(e-Overdracht): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(e-Overdracht): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:houseNumber)&lt;=1">(e-Overdracht): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(e-Overdracht): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:postalCode)&lt;=1">(e-Overdracht): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:city)&gt;=1 and not(hl7:city/@nullFlavor)">(e-Overdracht): element hl7:city is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:city)&lt;=1">(e-Overdracht): element hl7:city komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:streetName
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:houseNumber
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:postalCode
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:addr/hl7:city
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom[@use='WP'or @use='HP'or use='MC']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom[@use='WP'or @use='HP'or use='MC']"
         id="tmp-1e7ce068-5c0a-4f96-ba31-f217513103ca">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom[not(@use='WP'or @use='HP')]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:telecom[not(@use='WP'or @use='HP')]"
         id="tmp-806f2fbb-62b1-46d0-8b22-d301864ce2ea">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP' or @use='MC'">(e-Overdracht): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP', 'MC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-dee6a274-3e5d-4184-a643-226c3e50bbc4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(e-Overdracht): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(e-Overdracht): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:administrativeGenderCode)&gt;=1 ">(e-Overdracht): element hl7:administrativeGenderCode is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(e-Overdracht): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(e-Overdracht): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:birthTime)&lt;=1">(e-Overdracht): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-c663bd15-440b-4501-80a6-c685148be062">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(e-Overdracht): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(e-Overdracht): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(e-Overdracht): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-7ad7b9bc-cf56-445f-bb6f-17a5ca0ff583">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given[@qualifier='IN']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-a317afd2-8512-4bd8-9b0c-4cb4c8c258a5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/hl7:family"
         id="tmp-7ab435e8-1fef-4a6a-a108-fc05d4742d51">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="tmp-1e78c53f-5146-4f7b-bd9f-def85b189ae4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(e-Overdracht): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(e-Overdracht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-b03ddc67-1bd3-40f7-a45c-42dc66e5fb97">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="tmp-24950c27-2e3f-4fc4-8daf-1497873f1f04">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.2')">(e-Overdracht): de waarde van @codeSystem MOET ''2.16.840.1.113883.5.2'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian"
         id="tmp-96904560-48de-482d-934c-9a5981115ed4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(e-Overdracht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&lt;=1">(e-Overdracht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:guardianPerson)&gt;=1 and not(hl7:guardianPerson/@nullFlavor)">(e-Overdracht): element hl7:guardianPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:guardianPerson)&lt;=1">(e-Overdracht): element hl7:guardianPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code"
         id="tmp-af5b9aac-c202-4706-8f32-b348a559199a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.3.11.22.472')">(e-Overdracht): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.3.11.22.472'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom[@use='WP'or @use='HP'or use='MC']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom[@use='WP'or @use='HP'or use='MC']"
         id="tmp-3c910cda-c023-40d6-a148-c62be81fa984">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom[not(@use='WP'or @use='HP')]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom[not(@use='WP'or @use='HP')]"
         id="tmp-4e1581eb-6dbe-42ef-8b99-d9e66b1e9847">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP'">(e-Overdracht): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson"
         id="tmp-633516e3-340f-4291-85dd-19f8e0a4cae7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(e-Overdracht): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(e-Overdracht): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name"
         id="tmp-9902d41b-43ac-4364-afa0-e48c8f3d7d3c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(e-Overdracht): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(e-Overdracht): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(e-Overdracht): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-ba6520a6-dd0a-48c2-a1ad-dd22b2226916">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-2ab373d4-6548-4fe3-b46c-382c418d8f52">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:family
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name/hl7:family"
         id="tmp-146df76f-2bb9-4dbd-b884-63cfbd42a854">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author"
         id="tmp-f9743452-0a75-4256-a24d-f7cdb0e36fdf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(e-Overdracht): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:time)&lt;=1">(e-Overdracht): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(e-Overdracht): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:assignedAuthor)&lt;=1">(e-Overdracht): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(e-Overdracht): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:custodian)&lt;=1">(e-Overdracht): element hl7:custodian komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)">(e-Overdracht): element hl7:informationRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:informationRecipient)&lt;=1">(e-Overdracht): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:time
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:time"
         id="tmp-798f7861-c714-4a8b-b3a6-9a75c239c4a8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor"
         id="tmp-15c04bd0-795d-4cb6-9d37-f65f904a6ee3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&lt;=1">(e-Overdracht): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:assignedPerson)&lt;=1">(e-Overdracht): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(e-Overdracht): element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:representedOrganization)&lt;=1">(e-Overdracht): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-57597cf8-bece-4d55-a847-c9062bada4b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor='NAV'">(e-Overdracht): de waarde van @nullFlavor MOET 'NAV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-0c3939dd-804c-4768-8879-34ff45958139">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(e-Overdracht): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(e-Overdracht): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(e-Overdracht): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(e-Overdracht): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(e-Overdracht): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-abda2991-1fc1-4c87-8936-0d347e028a5c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:given[not(@qualifier='IN')]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:given[not(@qualifier='IN')]"
         id="tmp-c7519f4e-c1be-49e5-94d3-ccaff4cf4c64">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:given[@qualifier='IN']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:given[@qualifier='IN']"
         id="tmp-b82a7c1f-ef66-40ab-974e-bf1ca9435def">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:family
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:family"
         id="tmp-50dd476f-0e9c-4590-9d55-64a6e1cabc72">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-cf78bf93-1033-4443-911b-6a10e80271bc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(e-Overdracht): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&lt;=1">(e-Overdracht): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(e-Overdracht): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(e-Overdracht): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:addr)&lt;=1">(e-Overdracht): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:standardIndustryClassCode)&gt;=1 and not(hl7:standardIndustryClassCode/@nullFlavor)">(e-Overdracht): element hl7:standardIndustryClassCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(e-Overdracht): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-3acc08f2-42ee-4fb7-880c-de0519de09a5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-3559029e-3ca8-4d0d-b571-62953e1dde11">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-bb42c82e-de10-4032-af8f-551345037d31">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode"
         id="tmp-aa560461-c853-4fe1-963e-e3f1e6b42abc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(e-Overdracht): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian"
         id="tmp-abbefe53-8189-4a41-85b9-b7a566e3e55c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='CST'">(e-Overdracht): de waarde van @typeCode MOET 'CST' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(e-Overdracht): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:assignedCustodian)&lt;=1">(e-Overdracht): element hl7:assignedCustodian komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian"
         id="tmp-037fe218-c3b4-4518-9327-ede3c0f95e9f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 and not(hl7:representedCustodianOrganization/@nullFlavor)">(e-Overdracht): element hl7:representedCustodianOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(e-Overdracht): element hl7:representedCustodianOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-df684341-5c78-4570-8469-d46786b7b720">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(e-Overdracht): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(e-Overdracht): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-f20a4243-c0e1-45cd-9196-8313f335ccb3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@root='2.16.528.1.1007.3.3'">(e-Overdracht): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(e-Overdracht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient"
         id="tmp-581b3d06-ff26-4bf5-b203-8324ac891add">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='PRCP'">(e-Overdracht): de waarde van @typeCode MOET 'PRCP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:intendedRecipient)&gt;=1 and not(hl7:intendedRecipient/@nullFlavor)">(e-Overdracht): element hl7:intendedRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:intendedRecipient)&lt;=1">(e-Overdracht): element hl7:intendedRecipient komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:receivedOrganization)&gt;=1 and not(hl7:receivedOrganization/@nullFlavor)">(e-Overdracht): element hl7:receivedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:receivedOrganization)&lt;=1">(e-Overdracht): element hl7:receivedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient"
         id="tmp-572f528a-7fe1-48e3-b00a-8ef73050a93e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='ASSIGNED'">(e-Overdracht): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:informationRecipient)&lt;=1">(e-Overdracht): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient"
         id="tmp-64e40474-1f3d-4c02-90c4-ead8891a4978">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@determinerCode='INSTANCE'">(e-Overdracht): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='PSN'">(e-Overdracht): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(e-Overdracht): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name"
         id="tmp-3bf314ec-8b07-492e-959a-1c905e76cd36">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(e-Overdracht): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(e-Overdracht): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(e-Overdracht): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name/hl7:given[@qualifier='IN']
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-4a92430a-05e9-4091-bf12-9b6c6edbaf73">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name/hl7:family
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name/hl7:family"
         id="tmp-0015ea60-b380-4b11-b2cb-3f72384baad2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(e-Overdracht): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:receivedOrganization
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:receivedOrganization"
         id="tmp-949c285b-0a0c-490a-87c9-7ccd4164029d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(e-Overdracht): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(e-Overdracht): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:standardIndustryClassCode)&gt;=1 and not(hl7:standardIndustryClassCode/@nullFlavor)">(e-Overdracht): element hl7:standardIndustryClassCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(e-Overdracht): element hl7:standardIndustryClassCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:receivedOrganization/hl7:name
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:receivedOrganization/hl7:standardIndustryClassCode
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:author/hl7:informationRecipient/hl7:receivedOrganization/hl7:standardIndustryClassCode"
         id="tmp-57334fac-5d1c-46c7-98fa-0b0e72beecf7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(e-Overdracht): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]"
         id="tmp-c402858f-340e-4441-b9c7-a72533d61e23">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='HLD'">(e-Overdracht): de waarde van @typeCode MOET 'HLD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@contextControlCode='OP' or not(@contextControlCode)">(e-Overdracht): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(e-Overdracht): element hl7:associatedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedEntity)&lt;=1">(e-Overdracht): element hl7:associatedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]
Item: (verzekeringsgegevens)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity"
         id="tmp-497271bd-7086-4088-84b5-5f2b883000c9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='POLHOLD'">(verzekeringsgegevens): de waarde van @classCode MOET 'POLHOLD' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(verzekeringsgegevens): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id)&lt;=1">(verzekeringsgegevens): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(verzekeringsgegevens): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&lt;=1">(verzekeringsgegevens): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:scopingOrganization)&gt;=1 and not(hl7:scopingOrganization/@nullFlavor)">(verzekeringsgegevens): element hl7:scopingOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:scopingOrganization)&lt;=1">(verzekeringsgegevens): element hl7:scopingOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:id
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:id"
         id="tmp-bcaceb99-93c6-475c-9f12-126abaf5fd3a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(verzekeringsgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error" test="starts-with(@root,'2\.16\.840\.1\.113883\.2\.4\.6\.4\.')">(verzekeringsgegevens): Het polisnummer MOET beginnen met de OID voor UZOVI-nummers gevolgd door het UOZVI-nummer van de desbetreffende verzekeraar.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-2ac676c0-304f-4321-abfe-ea9902a0cf2a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(verzekeringsgegevens): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(verzekeringsgegevens): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-6b40eef0-811b-4649-be78-7355233cc620">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(verzekeringsgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(verzekeringsgegevens): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(verzekeringsgegevens): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(verzekeringsgegevens): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-3ed25bb7-352f-42d4-a0b1-8eff0d5b7c8a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or not(@qualifier)">(verzekeringsgegevens): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-39a112d5-9123-42a9-86f2-c0c603f62316">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(verzekeringsgegevens): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:associatedPerson/hl7:name/hl7:family"
         id="tmp-06ee6ed8-84c9-41a2-8a21-29f719655395">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(verzekeringsgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(verzekeringsgegevens): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-ae15402c-0de4-4a6b-a36e-33fc2e961a7c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.4'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.4']/@nullFlavor)">(verzekeringsgegevens): element hl7:id[@root='2.16.840.1.113883.2.4.6.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.4'])&lt;=1">(verzekeringsgegevens): element hl7:id[@root='2.16.840.1.113883.2.4.6.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(verzekeringsgegevens): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(verzekeringsgegevens): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.4']
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.4']"
         id="tmp-9af70433-4c9c-407f-8adf-204f78d8cb0e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(verzekeringsgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@root='2.16.840.1.113883.2.4.6.4'">(verzekeringsgegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.4' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(verzekeringsgegevens): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@extension='9665'">(verzekeringsgegevens): de waarde van @extension MOET '9665' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (verzekeringsgegevens)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.261']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-489d2eae-288d-4df9-a7e3-c08a14f50329">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(verzekeringsgegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]
Item: (e-Overdracht)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]"
         id="tmp-ca944e67-dc83-4b87-8880-7931805f1c28">
      <extends rule="tmp-a0787d31-e1eb-4798-8ba9-879c7c7acd59"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='CALLBCK'">(e-Overdracht): de waarde van @typeCode MOET 'CALLBCK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument
Item: (contactpersoon_overdragende_organisatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]
Item: (contactpersoon_overdragende_organisatie)
-->
<rule id="tmp-a0787d31-e1eb-4798-8ba9-879c7c7acd59" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='CON'">(contactpersoon_overdragende_organisatie): de waarde van @classCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(contactpersoon_overdragende_organisatie): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&lt;=1">(contactpersoon_overdragende_organisatie): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:telecom[@use='WP'or @use='HP'or use='MC']
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:telecom[@use='WP'or @use='HP'or use='MC']"
         id="tmp-8b24a60f-338d-471d-9738-88b6dc615fe8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(contactpersoon_overdragende_organisatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP' or @use='MC'">(contactpersoon_overdragende_organisatie): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP', 'MC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:telecom[not(@use='WP'or @use='HP')]
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:telecom[not(@use='WP'or @use='HP')]"
         id="tmp-ea814de7-6ba7-4bc7-9678-be0bae6aecc4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(contactpersoon_overdragende_organisatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP'">(contactpersoon_overdragende_organisatie): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson"
         id="tmp-7b607e88-dc44-4f12-a026-428bfb1156f4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(contactpersoon_overdragende_organisatie): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name"
         id="tmp-3f8c6a52-06ba-43a9-a0c8-b63be0d12a1e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(contactpersoon_overdragende_organisatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(contactpersoon_overdragende_organisatie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(contactpersoon_overdragende_organisatie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(contactpersoon_overdragende_organisatie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (contactpersoon_overdragende_organisatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-215dcf99-90c0-487e-ba25-056e241aff10">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN'">(contactpersoon_overdragende_organisatie): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name/hl7:family
Item: (contactpersoon_overdragende_organisatie)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.262']]/hl7:associatedPerson/hl7:name/hl7:family"
         id="tmp-691738f3-390c-4317-8e28-6fbfcea029ec">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(contactpersoon_overdragende_organisatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(contactpersoon_overdragende_organisatie): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]
Item: (e-Overdracht)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]"
         id="tmp-90b287c4-2435-44d4-ad61-09eeaeaa0486">
      <extends rule="tmp-0473f518-4658-446f-af23-2b0b042afd77"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='IND'">(e-Overdracht): de waarde van @typeCode MOET 'IND' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument
Item: (contactpersoon_cliënt)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]
Item: (contactpersoon_cliënt)
-->
<rule id="tmp-0473f518-4658-446f-af23-2b0b042afd77" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='CON'">(contactpersoon_cliënt): de waarde van @classCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(contactpersoon_cliënt): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&lt;=1">(contactpersoon_cliënt): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(contactpersoon_cliënt): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&lt;=1">(contactpersoon_cliënt): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:code
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:code"
         id="tmp-0b6f5061-a96c-47ab-b58a-8a010ad71e93">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SoortRelatieClient-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SoortRelatieClient-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(contactpersoon_cliënt): de waarde van @code MOET worden gekozen uit waardenlijst SoortRelatieClient Soort relatie client DYNAMIC.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(contactpersoon_cliënt): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst SoortRelatieClient Soort relatie client DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:telecom[@use='WP'or @use='HP'or use='MC']
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:telecom[@use='WP'or @use='HP'or use='MC']"
         id="tmp-9893d170-ac32-411b-810b-41a9e81ea5aa">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(contactpersoon_cliënt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP' or @use='MC'">(contactpersoon_cliënt): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP', 'MC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:telecom[not(@use='WP'or @use='HP')]
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:telecom[not(@use='WP'or @use='HP')]"
         id="tmp-69879bdb-1929-426e-aa28-982881c36f6a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(contactpersoon_cliënt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@use='WP' or @use='HP'">(contactpersoon_cliënt): de waarde van @use MOET één van de volgende codes bevatten: WP', 'HP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson"
         id="tmp-ccac8db1-78f1-432c-b985-6ac47109e081">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(contactpersoon_cliënt): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name"
         id="tmp-535f897e-8197-4785-bd9c-9a126da9a057">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(contactpersoon_cliënt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(contactpersoon_cliënt): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(contactpersoon_cliënt): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(contactpersoon_cliënt): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (contactpersoon_cliënt)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-4dac40f8-cb8e-4f17-b7d5-b70ade84ee70">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN' or not(@qualifier)">(contactpersoon_cliënt): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name/hl7:family
Item: (contactpersoon_cliënt)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.263']]/hl7:associatedPerson/hl7:name/hl7:family"
         id="tmp-7d70f713-511e-45cd-b403-7eaa59995c65">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(contactpersoon_cliënt): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(contactpersoon_cliënt): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]
Item: (e-Overdracht)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]"
         id="tmp-5d9971d5-0535-469e-9be3-01c05ad6c470">
      <extends rule="tmp-12f627ee-2676-4208-b253-40ea2d5f5c49"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='IND'">(e-Overdracht): de waarde van @typeCode MOET 'IND' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument
Item: (hoofdbehandelaar)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]
Item: (hoofdbehandelaar)
-->
<rule id="tmp-12f627ee-2676-4208-b253-40ea2d5f5c49" abstract="true">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='PROV'">(hoofdbehandelaar): de waarde van @classCode MOET 'PROV' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(hoofdbehandelaar): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(hoofdbehandelaar): element hl7:associatedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:associatedPerson)&lt;=1">(hoofdbehandelaar): element hl7:associatedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:id
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:id"
         id="tmp-a1cb1c3a-7f26-4bfa-8bac-923419fe937f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(hoofdbehandelaar): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:code
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:code"
         id="tmp-eeafd296-e8f9-4a11-8bf0-f5a89ca1d37e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.111')">(hoofdbehandelaar): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson"
         id="tmp-d75f5cd0-713f-4e9c-94d1-02468be8c9d8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:name)&lt;=1">(hoofdbehandelaar): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name"
         id="tmp-0a9f279f-794a-4178-9607-e3a949196fd2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(hoofdbehandelaar): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(hoofdbehandelaar): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(hoofdbehandelaar): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:family)&lt;=1">(hoofdbehandelaar): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (hoofdbehandelaar)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-bf9edcbf-f4fd-403c-a893-aaef3b8d38f0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='IN'">(hoofdbehandelaar): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name/hl7:family
Item: (hoofdbehandelaar)
-->
<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:participant[hl7:associatedEntity[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.264']]/hl7:associatedPerson/hl7:name/hl7:family"
         id="tmp-5adeaab8-4700-4178-9d4c-b474eebb89e9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(hoofdbehandelaar): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(hoofdbehandelaar): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf"
         id="tmp-fb77e26a-c0ab-4379-98fa-927bc2a29155">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@typeCode='DOC'">(e-Overdracht): de waarde van @typeCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">(e-Overdracht): element hl7:serviceEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:serviceEvent)&lt;=1">(e-Overdracht): element hl7:serviceEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent"
         id="tmp-5ed051ac-a851-402f-be0b-cb51be24e963">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@classCode='TRNS'">(e-Overdracht): de waarde van @classCode MOET 'TRNS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@moodCode='EVN'">(e-Overdracht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(e-Overdracht): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:effectiveTime)&lt;=1">(e-Overdracht): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-2541a64e-64ef-4194-b7f3-b21ee858f05c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(e-Overdracht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component"
         id="tmp-d95b7edc-32a8-460f-b0ee-2ce7297c2b62">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:structuredBody)&gt;=1 ">(e-Overdracht): element hl7:structuredBody is required [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:structuredBody)&lt;=1">(e-Overdracht): element hl7:structuredBody komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody
Item: (e-Overdracht)
-->

<rule context="hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody"
         id="tmp-a40e614d-00fd-4f1b-9f7f-8abb24152626">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]]/@nullFlavor)">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.3.11.40.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]])&lt;=1">(e-Overdracht): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.2']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.3']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.7']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.8']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.9']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.14']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.15']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.16']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.17']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.18']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.21']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.25']]]
Item: (e-Overdracht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.40
Context: hl7:ClinicalDocument/hl7:ClinicalDocument/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']]]
Item: (e-Overdracht)
--></pattern>